edu.sc.seis.sod.status

## Class AllTypeTemplate

- java.lang.Object
- - edu.sc.seis.sod.status.AllTypeTemplate

- All Implemented Interfaces:
    ChannelTemplate, EventTemplate, GenericTemplate, NetworkTemplate, SiteTemplate, StationTemplate
  Direct Known Subclasses:
    AllTextTemplate, ErrorCountTemplate, LastEventTemplate, MenuTemplate.RelativePath, NowTemplate, NumSuccessfulECPTemplate, RelativeLocationTemplate, RunNameTemplate, SacDataWrittenTemplate, StartTimeTemplate, WPHTemplate

      public abstract class AllTypeTemplate
      extends java.lang.Object
      implements SiteTemplate, StationTemplate, GenericTemplate, NetworkTemplate, ChannelTemplate, EventTemplate

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AllTypeTemplate()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `getResult()`
    `java.lang.String` | `getResult(edu.sc.seis.fissuresUtil.cache.CacheEvent ev)`
    `java.lang.String` | `getResult(edu.iris.Fissures.IfNetwork.Channel chan)`
    `java.lang.String` | `getResult(edu.iris.Fissures.IfNetwork.NetworkAttr network)`
    `java.lang.String` | `getResult(edu.iris.Fissures.IfNetwork.Site site)`
    `java.lang.String` | `getResult(edu.iris.Fissures.IfNetwork.Station station)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AllTypeTemplate

          public AllTypeTemplate()

  - ### Method Detail

    - #### getResult

          public abstract java.lang.String getResult()

      Specified by:
        `getResult` in interface `GenericTemplate`

    - #### getResult

          public java.lang.String getResult(edu.iris.Fissures.IfNetwork.NetworkAttr network)

      Specified by:
        `getResult` in interface `NetworkTemplate`

    - #### getResult

          public java.lang.String getResult(edu.iris.Fissures.IfNetwork.Station station)

      Specified by:
        `getResult` in interface `StationTemplate`

    - #### getResult

          public java.lang.String getResult(edu.iris.Fissures.IfNetwork.Site site)

      Specified by:
        `getResult` in interface `SiteTemplate`

    - #### getResult

          public java.lang.String getResult(edu.sc.seis.fissuresUtil.cache.CacheEvent ev)

      Specified by:
        `getResult` in interface `EventTemplate`

    - #### getResult

          public java.lang.String getResult(edu.iris.Fissures.IfNetwork.Channel chan)

      Specified by:
        `getResult` in interface `ChannelTemplate`